# Class NumericConstraint

java.lang.Object
com.codename1.ui.validation.NumericConstraint

All Implemented Interfaces:
  `Constraint`

public class NumericConstraint extends Object implements Constraint
Forces the value to be a number potentially within specific bounds

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumericConstraint(boolean dec)`
  Creates a new numeric constraint
  `NumericConstraint(boolean dec, double minimum, double maximum, String errorMessage)`
  Creates a new numeric constraint

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultFailMessage()`
  Includes the error message for the constraint
  `boolean`
  `isValid(Object value)`
  Indicates if the given value is valid or not

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### NumericConstraint

    public NumericConstraint(boolean dec, double minimum, double maximum, String errorMessage)

    Creates a new numeric constraint

    ###### Parameters

    - `dec`: whether the number is decimal or integer, true for decimal

    - `minimum`: the minimal value to a number or Double.NaN for no minimum value

    - `maximum`: the maximum value to a number or Double.NaN for no minimum value

    - `errorMessage`: the default error message if the constraint fails

  - ### NumericConstraint

    public NumericConstraint(boolean dec)

    Creates a new numeric constraint

    ###### Parameters

    - `dec`: whether the number is decimal or integer, true for decimal

- ## Method Details

  - ### isValid

    public boolean isValid(Object value)

    Indicates if the given value is valid or not

    ###### Parameters

    - `value`: the value for the object

    ###### Returns

    true if the value is valid and false otherwise

    Specified by:
      `isValid` in interface `Constraint`

  - ### getDefaultFailMessage

    public String getDefaultFailMessage()

    Includes the error message for the constraint

    ###### Returns

    the text of the error message for a constraint

    Specified by:
      `getDefaultFailMessage` in interface `Constraint`